function t=real2bin(x,m,d)

%REAL2BIN  functia de transformare a elementelor unei matrice din numere reale
%          in numere binare(folosind -1 in loc de 0).Aceasta functie intoarce
%          matricea cu elementele transformate in binar. 
%         
%          x -matrice [s,q] ale carei elemente trebuie transformate in binar
%               s -numarul de paliere ale graficului tip
%               q -numarul de grafice tip
%          m -numarul de cifre binare
%          d -valoarea maxima a elementelor din matricea reala(valoare folo-
%             sita ca marime de raportare)
%          t -matrice [s*m,q] cu elemente binare
[s,q]=size(x);
n=2^m-1;
z=x/d;
v=z*n;
r=round(v);
t=zeros(s*m,q);
k=0;
for j=1:q,
  for i=1:s, 
    while r(i,j)~=0,
      o=m*i-k;
      t(o,j)=rem(r(i,j),2);
      r(i,j)=fix(r(i,j)/2);
      k=k+1;
    end
    k=0;
  end
end
% for j=1:q,
%   for i=1:(s*m),
%     if t(i,j)==0,
%        t(i,j)=-1;
%     end
%   end
end



